/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File mapchunks.h */
/* This file contain the declarations and prototypes for use with
 * mapchunks.c */

/* Avoid multiple inclusions. */
#ifndef _MAPCHUNKS_H
#define _MAPCHUNKS_H

void sync_chunk_cache(void);

u_int32_t read_chunk_square(u_int32_t n,long int x,long int y);

void write_chunk_square(u_int32_t n,long int x,long int y,u_int32_t v);

void sync_map_cache(void);

u_int32_t read_map_chunk(int lev,long int x,long int y);

void write_map_chunk(int lev,long int x,long int y,u_int32_t v);

u_int32_t read_map_square(int lev,long int x,long int y);

void init_10_20_map_engine(void);

#endif /* not _MAPCHUNKS_H */
