/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File requests.h */
/* This file contains the prototypes for use with the request
 * submission routines contained in requests.c */

/* Avoid multiple inclusions. */
#ifndef _REQUESTS_H
#define _REQUESTS_H

void req_noop(msg_response_t *resp);

void req_die(msg_response_t *resp);

void req_readmap(msg_response_t *resp,long int x,long int y);

void req_write_chunk(msg_response_t *resp,long int x,long int y,u_int32_t v);

void req_write_square(msg_response_t *resp,long int x,long int y,u_int32_t v);

void req_sync_map(msg_response_t *resp);

void req_move_hero(msg_response_t *resp,long int dx,long int dy);

void req_whereis_hero(msg_response_t *resp);

void wait_for_answer(msg_response_t *resp);

msg_errcode_t reqq_noop(void);

msg_errcode_t reqq_die(void);

msg_errcode_t reqq_readmap(long int x,long int y,u_int32_t *val,char *hero);

msg_errcode_t reqq_write_chunk(long int x,long int y,u_int32_t v);

msg_errcode_t reqq_write_square(long int x,long int y,u_int32_t v);

msg_errcode_t reqq_sync_map(void);

msg_errcode_t reqq_move_hero(long int dx,long int dy);

msg_errcode_t reqq_whereis_hero(long int *x,long int *y);

#endif /* not _REQUESTS_H */
